Intermittent toolkit/components/osfile/tests/xpcshell/test_available_free_space.js | application crashed [@ nsCOMPtr<nsIEventTarget>::assign_with_AddRef]

RESOLVED INVALID

Status

()

RESOLVED INVALID
a year ago
10 months ago

People

(Reporter: aryx, Unassigned)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

+++ This bug was initially created as a clone of Bug #1380607 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=114287608&repo=autoland

[task 2017-07-14T10:00:03.320596Z] 10:00:03     INFO -  TEST-START | toolkit/components/osfile/tests/xpcshell/test_available_free_space.js
[task 2017-07-14T10:00:04.733145Z] 10:00:04  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/osfile/tests/xpcshell/test_available_free_space.js | xpcshell return code: -11
[task 2017-07-14T10:00:04.746683Z] 10:00:04     INFO -  TEST-INFO took 1413ms
[task 2017-07-14T10:00:04.748727Z] 10:00:04     INFO -  >>>>>>>
[task 2017-07-14T10:00:04.750458Z] 10:00:04     INFO -  PID 13565 | [13565] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /home/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2871
[task 2017-07-14T10:00:04.750837Z] 10:00:04     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2017-07-14T10:00:04.751085Z] 10:00:04     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2017-07-14T10:00:04.751411Z] 10:00:04     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2017-07-14T10:00:04.752658Z] 10:00:04     INFO -  running event loop
[task 2017-07-14T10:00:04.753026Z] 10:00:04     INFO -  PID 13565 | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2017-07-14T10:00:04.754559Z] 10:00:04     INFO -  PID 13565 | [13565] WARNING: Could not get the program name for a cubeb stream.: 'NS_SUCCEEDED(rv)', file /home/worker/workspace/build/src/dom/media/CubebUtils.cpp, line 321
[task 2017-07-14T10:00:04.755069Z] 10:00:04     INFO -  toolkit/components/osfile/tests/xpcshell/test_available_free_space.js | Starting
[task 2017-07-14T10:00:04.759031Z] 10:00:04     INFO -  (xpcshell/head.js) | test pending (2)
[task 2017-07-14T10:00:04.761585Z] 10:00:04     INFO -  (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2017-07-14T10:00:04.764115Z] 10:00:04     INFO -  PID 13565 | OS Controller Posting message {"fun":"SET_DEBUG","args":[true],"id":1}
[task 2017-07-14T10:00:04.768133Z] 10:00:04     INFO -  PID 13565 | OS Controller Message posted
[task 2017-07-14T10:00:04.770044Z] 10:00:04     INFO -  PID 13565 | OS Controller Expecting reply
[task 2017-07-14T10:00:04.772999Z] 10:00:04     INFO -  PID 13565 | OS Controller Posting message {"fun":"exists","args":[{"string":"/tmp/xpc-profile-3NxOzt"}],"id":2}
[task 2017-07-14T10:00:04.774970Z] 10:00:04     INFO -  PID 13565 | OS Controller Message posted
[task 2017-07-14T10:00:04.777055Z] 10:00:04     INFO -  PID 13565 | OS Controller Expecting reply
[task 2017-07-14T10:00:04.783180Z] 10:00:04     INFO -  "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2017-07-14T10:00:04.785087Z] 10:00:04     INFO -  PID 13565 | OS Agent Method SET_DEBUG succeeded
[task 2017-07-14T10:00:04.786909Z] 10:00:04     INFO -  PID 13565 | OS Agent Sending positive reply  id is 1
[task 2017-07-14T10:00:04.788866Z] 10:00:04     INFO -  PID 13565 | OS Controller Received message from worker {"id":1,"timeStamps":{"entered":1500026404034,"loaded":1500026404149}}
[task 2017-07-14T10:00:04.790826Z] 10:00:04     INFO -  PID 13565 | OS Agent Received message {"fun":"exists","args":[{"string":"/tmp/xpc-profile-3NxOzt"}],"id":2}
[task 2017-07-14T10:00:04.792690Z] 10:00:04     INFO -  PID 13565 | OS Agent Calling method exists
[task 2017-07-14T10:00:04.794516Z] 10:00:04     INFO -  PID 13565 | OS Attempting to declare FFI  access
[task 2017-07-14T10:00:04.796395Z] 10:00:04     INFO -  PID 13565 | OS Function access declared
[task 2017-07-14T10:00:04.798415Z] 10:00:04     INFO -  PID 13565 | OS Agent Method exists succeeded
[task 2017-07-14T10:00:04.800607Z] 10:00:04     INFO -  PID 13565 | OS Agent Sending positive reply true id is 2
[task 2017-07-14T10:00:04.802807Z] 10:00:04     INFO -  PID 13565 | OS Controller Received message from worker {"ok":true,"id":2}
[task 2017-07-14T10:00:04.811205Z] 10:00:04     INFO -  TEST-PASS | toolkit/components/osfile/tests/xpcshell/test_available_free_space.js |  - true == true
[task 2017-07-14T10:00:04.813220Z] 10:00:04     INFO -  PID 13565 | OS Controller Posting message {"fun":"getAvailableFreeSpace","args":[{"string":"/tmp/xpc-profile-3NxOzt"}],"id":3}
[task 2017-07-14T10:00:04.815309Z] 10:00:04     INFO -  PID 13565 | OS Agent Received message {"fun":"getAvailableFreeSpace","args":[{"string":"/tmp/xpc-profile-3NxOzt"}],"id":3}
[task 2017-07-14T10:00:04.817182Z] 10:00:04     INFO -  PID 13565 | OS Agent Calling method getAvailableFreeSpace
[task 2017-07-14T10:00:04.819002Z] 10:00:04     INFO -  PID 13565 | OS Attempting to declare FFI  statvfs
[task 2017-07-14T10:00:04.820847Z] 10:00:04     INFO -  PID 13565 | OS Function statvfs declared
[task 2017-07-14T10:00:04.822638Z] 10:00:04     INFO -  PID 13565 | OS Controller Message posted
[task 2017-07-14T10:00:04.824425Z] 10:00:04     INFO -  PID 13565 | OS Controller Expecting reply
[task 2017-07-14T10:00:04.826259Z] 10:00:04     INFO -  PID 13565 | ExceptionHandler::GenerateDump cloned child 13586
[task 2017-07-14T10:00:04.828109Z] 10:00:04     INFO -  PID 13565 | ExceptionHandler::SendContinueSignalToChild sent continue signal to child
[task 2017-07-14T10:00:04.829916Z] 10:00:04     INFO -  PID 13565 | ExceptionHandler::WaitForContinueSignal waiting for continue signal...
[task 2017-07-14T10:00:04.831732Z] 10:00:04     INFO -  <<<<<<<
[task 2017-07-14T10:00:04.833798Z] 10:00:04     INFO -  mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/xpc-other-AxBmvj/0a3c819f-fb44-be08-dc42-8543011f5a57.dmp /home/worker/workspace/build/symbols
[task 2017-07-14T10:00:19.820815Z] 10:00:19     INFO -  mozcrash Saved minidump as /home/worker/workspace/build/blobber_upload_dir/0a3c819f-fb44-be08-dc42-8543011f5a57.dmp
[task 2017-07-14T10:00:19.830805Z] 10:00:19     INFO -  mozcrash Saved app info as /home/worker/workspace/build/blobber_upload_dir/0a3c819f-fb44-be08-dc42-8543011f5a57.extra
[task 2017-07-14T10:00:19.832362Z] 10:00:19  WARNING -  PROCESS-CRASH | toolkit/components/osfile/tests/xpcshell/test_available_free_space.js | application crashed [@ nsCOMPtr<nsIEventTarget>::assign_with_AddRef]
[task 2017-07-14T10:00:19.832752Z] 10:00:19     INFO -  Crash dump filename: /tmp/xpc-other-AxBmvj/0a3c819f-fb44-be08-dc42-8543011f5a57.dmp
[task 2017-07-14T10:00:19.832963Z] 10:00:19     INFO -  Operating system: Linux
[task 2017-07-14T10:00:19.834323Z] 10:00:19     INFO -                    0.0.0 Linux 3.13.0-100-generic #147-Ubuntu SMP Tue Oct 18 16:48:51 UTC 2016 x86_64
[task 2017-07-14T10:00:19.834668Z] 10:00:19     INFO -  CPU: x86
[task 2017-07-14T10:00:19.834919Z] 10:00:19     INFO -       GenuineIntel family 6 model 62 stepping 4
[task 2017-07-14T10:00:19.836201Z] 10:00:19     INFO -       1 CPU
[task 2017-07-14T10:00:19.836453Z] 10:00:19     INFO -  GPU: UNKNOWN
[task 2017-07-14T10:00:19.836668Z] 10:00:19     INFO -  Crash reason:  SIGSEGV
[task 2017-07-14T10:00:19.836864Z] 10:00:19     INFO -  Crash address: 0x4
[task 2017-07-14T10:00:19.846884Z] 10:00:19     INFO -  Process uptime: not available
[task 2017-07-14T10:00:19.848718Z] 10:00:19     INFO -  Thread 14 (crashed)
[task 2017-07-14T10:00:19.850700Z] 10:00:19     INFO -   0  libxul.so!nsCOMPtr<nsIEventTarget>::assign_with_AddRef [nsCOMPtr.h:c6ea57f05ae9 : 1105 + 0x6]
[task 2017-07-14T10:00:19.852596Z] 10:00:19     INFO -      eip = 0xf1fcd795   esp = 0xe8afa980   ebp = 0xe8afa998   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.854529Z] 10:00:19     INFO -      esi = 0xe9cb9d00   edi = 0xea7bb584   eax = 0x00000000   ecx = 0xe9cc6408
[task 2017-07-14T10:00:19.856584Z] 10:00:19     INFO -      edx = 0xc1f30002   efl = 0x00010296
[task 2017-07-14T10:00:19.858657Z] 10:00:19     INFO -      Found by: given as instruction pointer in context
[task 2017-07-14T10:00:19.864080Z] 10:00:19     INFO -   1  libxul.so!nsTimerImpl::SetTarget [nsCOMPtr.h:c6ea57f05ae9 : 593 + 0x9]
[task 2017-07-14T10:00:19.866047Z] 10:00:19     INFO -      eip = 0xf2008647   esp = 0xe8afa9a0   ebp = 0xe8afa9e8   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.871010Z] 10:00:19     INFO -      esi = 0xea7bb584   edi = 0xe8afa9c8
[task 2017-07-14T10:00:19.872917Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.874989Z] 10:00:19     INFO -   2  libxul.so!mozilla::dom::workers::WorkerPrivate::SetGCTimerMode [WorkerPrivate.cpp:c6ea57f05ae9 : 5260 + 0x19]
[task 2017-07-14T10:00:19.877089Z] 10:00:19     INFO -      eip = 0xf3a4c8e5   esp = 0xe8afa9f0   ebp = 0xe8afaa38   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.879268Z] 10:00:19     INFO -      esi = 0xe9c80400   edi = 0x00000000
[task 2017-07-14T10:00:19.881515Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.883693Z] 10:00:19     INFO -   3  libxul.so!mozilla::dom::workers::WorkerPrivate::EndCTypesCall [WorkerPrivate.cpp:c6ea57f05ae9 : 6851 + 0xa]
[task 2017-07-14T10:00:19.889408Z] 10:00:19     INFO -      eip = 0xf3a4e484   esp = 0xe8afaa40   ebp = 0xe8afaa58   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.891334Z] 10:00:19     INFO -      esi = 0xe9c80400   edi = 0x00000000
[task 2017-07-14T10:00:19.893375Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.899051Z] 10:00:19     INFO -   4  libxul.so!js::ctypes::FunctionType::Call [jsfriendapi.h:c6ea57f05ae9 : 2758 + 0x15]
[task 2017-07-14T10:00:19.902338Z] 10:00:19     INFO -      eip = 0xf4d89f54   esp = 0xe8afaa60   ebp = 0xe8afac78   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.904217Z] 10:00:19     INFO -      esi = 0xe8afae20   edi = 0x00000000
[task 2017-07-14T10:00:19.906016Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.908799Z] 10:00:19     INFO -   5  libxul.so!js::CallJSNative [jscntxtinlines.h:c6ea57f05ae9 : 293 + 0x11]
[task 2017-07-14T10:00:19.910695Z] 10:00:19     INFO -      eip = 0xf4dd116a   esp = 0xe8afac80   ebp = 0xe8afacc8   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.912840Z] 10:00:19     INFO -      esi = 0xe8afae30   edi = 0xe8afadd8
[task 2017-07-14T10:00:19.914988Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.917226Z] 10:00:19     INFO -   6  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:c6ea57f05ae9 : 452 + 0x13]
[task 2017-07-14T10:00:19.923149Z] 10:00:19     INFO -      eip = 0xf4df4c89   esp = 0xe8afacd0   ebp = 0xe8afad38   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.925044Z] 10:00:19     INFO -      esi = 0xe8afadd8   edi = 0x00000003
[task 2017-07-14T10:00:19.927063Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.931072Z] 10:00:19     INFO -   7  libxul.so!InternalCall [Interpreter.cpp:c6ea57f05ae9 : 515 + 0x15]
[task 2017-07-14T10:00:19.932982Z] 10:00:19     INFO -      eip = 0xf4df4e9c   esp = 0xe8afad40   ebp = 0xe8afad78   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.934859Z] 10:00:19     INFO -      esi = 0xe7d1a600   edi = 0xffffff8c
[task 2017-07-14T10:00:19.936980Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.940798Z] 10:00:19     INFO -   8  libxul.so!js::Call [Interpreter.cpp:c6ea57f05ae9 : 534 + 0x8]
[task 2017-07-14T10:00:19.943116Z] 10:00:19     INFO -      eip = 0xf4df4f66   esp = 0xe8afad80   ebp = 0xe8afad88   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.945253Z] 10:00:19     INFO -      esi = 0xe8afadd8   edi = 0xe8afadd8
[task 2017-07-14T10:00:19.951078Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.953210Z] 10:00:19     INFO -   9  libxul.so!js::fun_apply [jsfun.cpp:c6ea57f05ae9 : 1301 + 0x1b]
[task 2017-07-14T10:00:19.955412Z] 10:00:19     INFO -      eip = 0xf52b147a   esp = 0xe8afad90   ebp = 0xe8afb058   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.959013Z] 10:00:19     INFO -      esi = 0x00000002   edi = 0xe8afadd8
[task 2017-07-14T10:00:19.960862Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.962738Z] 10:00:19     INFO -  10  libxul.so!js::CallJSNative [jscntxtinlines.h:c6ea57f05ae9 : 293 + 0x11]
[task 2017-07-14T10:00:19.965095Z] 10:00:19     INFO -      eip = 0xf4dd116a   esp = 0xe8afb060   ebp = 0xe8afb0a8   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.968912Z] 10:00:19     INFO -      esi = 0xe886d330   edi = 0xe8afb360
[task 2017-07-14T10:00:19.970912Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.975018Z] 10:00:19     INFO -  11  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:c6ea57f05ae9 : 470 + 0x13]
[task 2017-07-14T10:00:19.976868Z] 10:00:19     INFO -      eip = 0xf4df4a46   esp = 0xe8afb0b0   ebp = 0xe8afb118   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.979395Z] 10:00:19     INFO -      esi = 0xe8afb360   edi = 0xe8afb0d4
[task 2017-07-14T10:00:19.982726Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.984652Z] 10:00:19     INFO -  12  libxul.so!InternalCall [Interpreter.cpp:c6ea57f05ae9 : 515 + 0x15]
[task 2017-07-14T10:00:19.986976Z] 10:00:19     INFO -      eip = 0xf4df4e9c   esp = 0xe8afb120   ebp = 0xe8afb158   ebx = 0xf769ff14
[task 2017-07-14T10:00:19.989116Z] 10:00:19     INFO -      esi = 0xe7d1a600   edi = 0xffffff8c
[task 2017-07-14T10:00:19.991247Z] 10:00:19     INFO -      Found by: call frame info
[task 2017-07-14T10:00:19.999155Z] 10:00:19     INFO -  13  libxul.so!Interpret [Interpreter.cpp:c6ea57f05ae9 : 521 + 0xd]
[task 2017-07-14T10:00:20.001108Z] 10:00:20     INFO -      eip = 0xf4de745d   esp = 0xe8afb160   ebp = 0xe8afb498   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.002940Z] 10:00:20     INFO -      esi = 0xe8afb360   edi = 0x00000002
[task 2017-07-14T10:00:20.005124Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.007270Z] 10:00:20     INFO -  14  libxul.so!js::RunScript [Interpreter.cpp:c6ea57f05ae9 : 410 + 0xa]
[task 2017-07-14T10:00:20.011067Z] 10:00:20     INFO -      eip = 0xf4df4626   esp = 0xe8afb4a0   ebp = 0xe8afb548   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.012900Z] 10:00:20     INFO -      esi = 0xe8803800   edi = 0xe8afb4d4
[task 2017-07-14T10:00:20.014734Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.016753Z] 10:00:20     INFO -  15  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:c6ea57f05ae9 : 488 + 0x12]
[task 2017-07-14T10:00:20.022966Z] 10:00:20     INFO -      eip = 0xf4df4beb   esp = 0xe8afb550   ebp = 0xe8afb5b8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.024839Z] 10:00:20     INFO -      esi = 0xe8afb670   edi = 0xe8afb574
[task 2017-07-14T10:00:20.026689Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.028520Z] 10:00:20     INFO -  16  libxul.so!InternalCall [Interpreter.cpp:c6ea57f05ae9 : 515 + 0x15]
[task 2017-07-14T10:00:20.034876Z] 10:00:20     INFO -      eip = 0xf4df4e9c   esp = 0xe8afb5c0   ebp = 0xe8afb5f8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.036746Z] 10:00:20     INFO -      esi = 0xe7d574c0   edi = 0xffffff8c
[task 2017-07-14T10:00:20.039016Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.047130Z] 10:00:20     INFO -  17  libxul.so!js::Call [Interpreter.cpp:c6ea57f05ae9 : 534 + 0x8]
[task 2017-07-14T10:00:20.049020Z] 10:00:20     INFO -      eip = 0xf4df4f66   esp = 0xe8afb600   ebp = 0xe8afb608   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.050872Z] 10:00:20     INFO -      esi = 0xe8afb670   edi = 0x00000001
[task 2017-07-14T10:00:20.052816Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.058945Z] 10:00:20     INFO -  18  libxul.so!js::SpreadCallOperation [Interpreter.cpp:c6ea57f05ae9 : 4901 + 0x2d]
[task 2017-07-14T10:00:20.060906Z] 10:00:20     INFO -      eip = 0xf4de641d   esp = 0xe8afb610   ebp = 0xe8afb708   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.062765Z] 10:00:20     INFO -      esi = 0xe8803800   edi = 0x00000001
[task 2017-07-14T10:00:20.064572Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.066417Z] 10:00:20     INFO -  19  libxul.so!Interpret [Interpreter.cpp:c6ea57f05ae9 : 3012 + 0x38]
[task 2017-07-14T10:00:20.068295Z] 10:00:20     INFO -      eip = 0xf4de71f8   esp = 0xe8afb710   ebp = 0xe8afba48   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.070144Z] 10:00:20     INFO -      esi = 0x00000000   edi = 0xe8803800
[task 2017-07-14T10:00:20.071999Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.078866Z] 10:00:20     INFO -  20  libxul.so!js::RunScript [Interpreter.cpp:c6ea57f05ae9 : 410 + 0xa]
[task 2017-07-14T10:00:20.081166Z] 10:00:20     INFO -      eip = 0xf4df4626   esp = 0xe8afba50   ebp = 0xe8afbaf8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.083330Z] 10:00:20     INFO -      esi = 0xe8803800   edi = 0xe8afba84
[task 2017-07-14T10:00:20.085418Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.098761Z] 10:00:20     INFO -  21  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:c6ea57f05ae9 : 488 + 0x12]
[task 2017-07-14T10:00:20.099127Z] 10:00:20     INFO -      eip = 0xf4df4beb   esp = 0xe8afbb00   ebp = 0xe8afbb68   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.100348Z] 10:00:20     INFO -      esi = 0xe8afbdb0   edi = 0xe8afbb24
[task 2017-07-14T10:00:20.101552Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.103594Z] 10:00:20     INFO -  22  libxul.so!InternalCall [Interpreter.cpp:c6ea57f05ae9 : 515 + 0x15]
[task 2017-07-14T10:00:20.105740Z] 10:00:20     INFO -      eip = 0xf4df4e9c   esp = 0xe8afbb70   ebp = 0xe8afbba8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.106106Z] 10:00:20     INFO -      esi = 0xe7d57310   edi = 0xffffff8c
[task 2017-07-14T10:00:20.106327Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.106635Z] 10:00:20     INFO -  23  libxul.so!Interpret [Interpreter.cpp:c6ea57f05ae9 : 521 + 0xd]
[task 2017-07-14T10:00:20.108156Z] 10:00:20     INFO -      eip = 0xf4de745d   esp = 0xe8afbbb0   ebp = 0xe8afbee8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.108495Z] 10:00:20     INFO -      esi = 0xe8afbdb0   edi = 0x00000001
[task 2017-07-14T10:00:20.114679Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.116565Z] 10:00:20     INFO -  24  libxul.so!js::RunScript [Interpreter.cpp:c6ea57f05ae9 : 410 + 0xa]
[task 2017-07-14T10:00:20.118445Z] 10:00:20     INFO -      eip = 0xf4df4626   esp = 0xe8afbef0   ebp = 0xe8afbf98   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.120352Z] 10:00:20     INFO -      esi = 0xe8803800   edi = 0xe8afbf24
[task 2017-07-14T10:00:20.122118Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.124047Z] 10:00:20     INFO -  25  libxul.so!js::InternalCallOrConstruct [Interpreter.cpp:c6ea57f05ae9 : 488 + 0x12]
[task 2017-07-14T10:00:20.125989Z] 10:00:20     INFO -      eip = 0xf4df4beb   esp = 0xe8afbfa0   ebp = 0xe8afc008   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.130949Z] 10:00:20     INFO -      esi = 0xe8afc0a0   edi = 0xe8afbfc4
[task 2017-07-14T10:00:20.138912Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.140805Z] 10:00:20     INFO -  26  libxul.so!InternalCall [Interpreter.cpp:c6ea57f05ae9 : 515 + 0x15]
[task 2017-07-14T10:00:20.142670Z] 10:00:20     INFO -      eip = 0xf4df4e9c   esp = 0xe8afc010   ebp = 0xe8afc048   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.144550Z] 10:00:20     INFO -      esi = 0xe7d03040   edi = 0xffffff8c
[task 2017-07-14T10:00:20.146302Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.154076Z] 10:00:20     INFO -  27  libxul.so!js::Call [Interpreter.cpp:c6ea57f05ae9 : 534 + 0x8]
[task 2017-07-14T10:00:20.155998Z] 10:00:20     INFO -      eip = 0xf4df4f66   esp = 0xe8afc050   ebp = 0xe8afc058   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.157826Z] 10:00:20     INFO -      esi = 0xe8afc0a0   edi = 0xe8afc0a0
[task 2017-07-14T10:00:20.159644Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.161477Z] 10:00:20     INFO -  28  libxul.so!JS::Call [jsapi.cpp:c6ea57f05ae9 : 2948 + 0x21]
[task 2017-07-14T10:00:20.163362Z] 10:00:20     INFO -      eip = 0xf5213ff9   esp = 0xe8afc060   ebp = 0xe8afc138   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.165220Z] 10:00:20     INFO -      esi = 0xe8803800   edi = 0xe8afc0a0
[task 2017-07-14T10:00:20.167090Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.169258Z] 10:00:20     INFO -  29  libxul.so!mozilla::dom::EventListener::HandleEvent [EventListenerBinding.cpp:c6ea57f05ae9 : 48 + 0x5]
[task 2017-07-14T10:00:20.171474Z] 10:00:20     INFO -      eip = 0xf3229225   esp = 0xe8afc140   ebp = 0xe8afc238   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.173677Z] 10:00:20     INFO -      esi = 0xe8afc1a0   edi = 0xe8afc1b0
[task 2017-07-14T10:00:20.175819Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.178107Z] 10:00:20     INFO -  30  libxul.so!mozilla::dom::EventListener::HandleEvent<mozilla::dom::EventTarget*> [EventListenerBinding.h:c6ea57f05ae9 : 65 + 0x16]
[task 2017-07-14T10:00:20.182606Z] 10:00:20     INFO -      eip = 0xf34888fe   esp = 0xe8afc240   ebp = 0xe8afc378   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.184695Z] 10:00:20     INFO -      esi = 0xe8afc3c0   edi = 0xe8afc280
[task 2017-07-14T10:00:20.188618Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.190897Z] 10:00:20     INFO -  31  libxul.so!mozilla::EventListenerManager::HandleEventSubType [EventListenerManager.cpp:c6ea57f05ae9 : 1138 + 0x31]
[task 2017-07-14T10:00:20.193139Z] 10:00:20     INFO -      eip = 0xf3489d23   esp = 0xe8afc380   ebp = 0xe8afc3e8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.195312Z] 10:00:20     INFO -      esi = 0xe8afc3c0   edi = 0xe8afc3bc
[task 2017-07-14T10:00:20.197463Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.203167Z] 10:00:20     INFO -  32  libxul.so!mozilla::EventListenerManager::HandleEventInternal [EventListenerManager.cpp:c6ea57f05ae9 : 1311 + 0x11]
[task 2017-07-14T10:00:20.208092Z] 10:00:20     INFO -      eip = 0xf348a7f1   esp = 0xe8afc3f0   ebp = 0xe8afc5a8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.209982Z] 10:00:20     INFO -      esi = 0xe8afc4fc   edi = 0xe885cd1c
[task 2017-07-14T10:00:20.211778Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.213742Z] 10:00:20     INFO -  33  libxul.so!mozilla::EventTargetChainItem::HandleEvent [EventListenerManager.h:c6ea57f05ae9 : 376 + 0xb]
[task 2017-07-14T10:00:20.215630Z] 10:00:20     INFO -      eip = 0xf346308d   esp = 0xe8afc5b0   ebp = 0xe8afc5f8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.217680Z] 10:00:20     INFO -      esi = 0xe6b9e3a8   edi = 0xe6b98920
[task 2017-07-14T10:00:20.226808Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.228772Z] 10:00:20     INFO -  34  libxul.so!mozilla::EventTargetChainItem::HandleEventTargetChain [EventDispatcher.cpp:c6ea57f05ae9 : 464 + 0xb]
[task 2017-07-14T10:00:20.234605Z] 10:00:20     INFO -      eip = 0xf34632fe   esp = 0xe8afc600   ebp = 0xe8afc638   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.236512Z] 10:00:20     INFO -      esi = 0xe8afc69c   edi = 0xe6b9e3a8
[task 2017-07-14T10:00:20.238295Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.240220Z] 10:00:20     INFO -  35  libxul.so!mozilla::EventDispatcher::Dispatch [EventDispatcher.cpp:c6ea57f05ae9 : 825 + 0x14]
[task 2017-07-14T10:00:20.242131Z] 10:00:20     INFO -      eip = 0xf346ccd9   esp = 0xe8afc640   ebp = 0xe8afc6f8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.243955Z] 10:00:20     INFO -      esi = 0x00000001   edi = 0xe8afc680
[task 2017-07-14T10:00:20.245770Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.247693Z] 10:00:20     INFO -  36  libxul.so!mozilla::EventDispatcher::DispatchDOMEvent [EventDispatcher.cpp:c6ea57f05ae9 : 894 + 0x16]
[task 2017-07-14T10:00:20.251133Z] 10:00:20     INFO -      eip = 0xf346d07d   esp = 0xe8afc700   ebp = 0xe8afc748   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.253794Z] 10:00:20     INFO -      esi = 0xe6b9d1c0   edi = 0xe6b98920
[task 2017-07-14T10:00:20.255747Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.259024Z] 10:00:20     INFO -  37  libxul.so!MessageEventRunnable::DispatchDOMEvent [WorkerPrivate.cpp:c6ea57f05ae9 : 769 + 0x12]
[task 2017-07-14T10:00:20.260885Z] 10:00:20     INFO -      eip = 0xf3a5855f   esp = 0xe8afc750   ebp = 0xe8afc808   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.262772Z] 10:00:20     INFO -      esi = 0xe8afc7c0   edi = 0xe8afc79c
[task 2017-07-14T10:00:20.264794Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.267061Z] 10:00:20     INFO -  38  libxul.so!mozilla::dom::workers::WorkerRunnable::Run [WorkerRunnable.cpp:c6ea57f05ae9 : 374 + 0xb]
[task 2017-07-14T10:00:20.269242Z] 10:00:20     INFO -      eip = 0xf3a50201   esp = 0xe8afc810   ebp = 0xe8afc908   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.275109Z] 10:00:20     INFO -      esi = 0xe6b988d0   edi = 0xe8803800
[task 2017-07-14T10:00:20.276928Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.278977Z] 10:00:20     INFO -  39  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:c6ea57f05ae9 : 1437 + 0x17]
[task 2017-07-14T10:00:20.281200Z] 10:00:20     INFO -      eip = 0xf200a795   esp = 0xe8afc910   ebp = 0xe8afca38   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.286424Z] 10:00:20     INFO -      esi = 0xea797160   edi = 0xf76a4dcc
[task 2017-07-14T10:00:20.290948Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.294934Z] 10:00:20     INFO -  40  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:c6ea57f05ae9 : 489 + 0x10]
[task 2017-07-14T10:00:20.296906Z] 10:00:20     INFO -      eip = 0xf200624e   esp = 0xe8afca40   ebp = 0xe8afca78   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.298990Z] 10:00:20     INFO -      esi = 0xea797160   edi = 0xe9c80400
[task 2017-07-14T10:00:20.301133Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.303500Z] 10:00:20     INFO -  41  libxul.so!mozilla::dom::workers::WorkerPrivate::DoRunLoop [WorkerPrivate.cpp:c6ea57f05ae9 : 5100 + 0xf]
[task 2017-07-14T10:00:20.311169Z] 10:00:20     INFO -      eip = 0xf3a54ce2   esp = 0xe8afca80   ebp = 0xe8afcb28   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.313038Z] 10:00:20     INFO -      esi = 0x00000001   edi = 0xe9c80400
[task 2017-07-14T10:00:20.314856Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.318997Z] 10:00:20     INFO -  42  libxul.so!WorkerThreadPrimaryRunnable::Run [RuntimeService.cpp:c6ea57f05ae9 : 2919 + 0x13]
[task 2017-07-14T10:00:20.320935Z] 10:00:20     INFO -      eip = 0xf39fa88b   esp = 0xe8afcb30   ebp = 0xe8afcd98   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.322864Z] 10:00:20     INFO -      esi = 0xe8afcbc8   edi = 0xe8afcbcc
[task 2017-07-14T10:00:20.324679Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.326891Z] 10:00:20     INFO -  43  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:c6ea57f05ae9 : 1437 + 0x17]
[task 2017-07-14T10:00:20.330526Z] 10:00:20     INFO -      eip = 0xf200a795   esp = 0xe8afcda0   ebp = 0xe8afcec8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.335121Z] 10:00:20     INFO -      esi = 0xea797160   edi = 0xf76a4dcc
[task 2017-07-14T10:00:20.337254Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.343174Z] 10:00:20     INFO -  44  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:c6ea57f05ae9 : 489 + 0x10]
[task 2017-07-14T10:00:20.345096Z] 10:00:20     INFO -      eip = 0xf200624e   esp = 0xe8afced0   ebp = 0xe8afcf08   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.347017Z] 10:00:20     INFO -      esi = 0xea797160   edi = 0xe9dc66c0
[task 2017-07-14T10:00:20.349051Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.351184Z] 10:00:20     INFO -  45  libxul.so!mozilla::ipc::MessagePumpForNonMainThreads::Run [MessagePump.cpp:c6ea57f05ae9 : 339 + 0xc]
[task 2017-07-14T10:00:20.353502Z] 10:00:20     INFO -      eip = 0xf23dee4d   esp = 0xe8afcf10   ebp = 0xe8afcf58   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.355660Z] 10:00:20     INFO -      esi = 0xea7ba1f0   edi = 0xe9dc66c0
[task 2017-07-14T10:00:20.357783Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.360073Z] 10:00:20     INFO -  46  libxul.so!MessageLoop::RunInternal [message_loop.cc:c6ea57f05ae9 : 320 + 0x14]
[task 2017-07-14T10:00:20.368931Z] 10:00:20     INFO -      eip = 0xf23afd54   esp = 0xe8afcf60   ebp = 0xe8afcf88   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.370827Z] 10:00:20     INFO -      esi = 0xe9dc66c0   edi = 0xea797160
[task 2017-07-14T10:00:20.372646Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.374652Z] 10:00:20     INFO -  47  libxul.so!MessageLoop::Run [message_loop.cc:c6ea57f05ae9 : 313 + 0x7]
[task 2017-07-14T10:00:20.378997Z] 10:00:20     INFO -      eip = 0xf23afd79   esp = 0xe8afcf90   ebp = 0xe8afcfb8   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.380871Z] 10:00:20     INFO -      esi = 0xe9dc66c0   edi = 0xea797160
[task 2017-07-14T10:00:20.382698Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.384628Z] 10:00:20     INFO -  48  libxul.so!nsThread::ThreadFunc [nsThread.cpp:c6ea57f05ae9 : 506 + 0x9]
[task 2017-07-14T10:00:20.386477Z] 10:00:20     INFO -      eip = 0xf2006430   esp = 0xe8afcfc0   ebp = 0xe8afd018   ebx = 0xf769ff14
[task 2017-07-14T10:00:20.388555Z] 10:00:20     INFO -      esi = 0xe9dc66c0   edi = 0xea797160
[task 2017-07-14T10:00:20.395009Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.403086Z] 10:00:20     INFO -  49  libnspr4.so!_pt_root [ptthread.c:c6ea57f05ae9 : 216 + 0x7]
[task 2017-07-14T10:00:20.405027Z] 10:00:20     INFO -      eip = 0xf777c2b0   esp = 0xe8afd020   ebp = 0xe8afd068   ebx = 0xf778d4a4
[task 2017-07-14T10:00:20.406886Z] 10:00:20     INFO -      esi = 0xe9c9ca80   edi = 0xe8afdb40
[task 2017-07-14T10:00:20.408674Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.410500Z] 10:00:20     INFO -  50  libpthread-2.23.so + 0x6295
[task 2017-07-14T10:00:20.412425Z] 10:00:20     INFO -      eip = 0xf7796295   esp = 0xe8afd070   ebp = 0xe8afd128   ebx = 0x00000000
[task 2017-07-14T10:00:20.414205Z] 10:00:20     INFO -      esi = 0x00000000   edi = 0x003d0f00
[task 2017-07-14T10:00:20.416020Z] 10:00:20     INFO -      Found by: call frame info
[task 2017-07-14T10:00:20.422880Z] 10:00:20     INFO -  51  libc-2.23.so + 0xe6eee
[task 2017-07-14T10:00:20.424731Z] 10:00:20     INFO -      eip = 0xf0999eee   esp = 0xe8afd130   ebp = 0x00000000
[task 2017-07-14T10:00:20.426653Z] 10:00:20     INFO -      Found by: previous frame's frame pointer
5 failures in 720 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* try: 1

Platform breakdown:
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380970&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 2

10 months ago
Haven't seen any reports for three months, going to close this.
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.